Bug 150849 - TypeError: unsupported operand type(s) for +: 'instance' and 'int'
TypeError: unsupported operand type(s) for +: 'instance' and 'int'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 06:31 EST by Tim Waugh
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:24:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-03-11 06:31:59 EST
Description of problem:
This traceback occurs when selecting or deselecting packages.  In addition, the
"Forward" button is never sensitive and so up2date is rendered useless.

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/checklist.py", line 148, in _button_press_cb
    self._toggle_row (info[0])
  File "/usr/share/rhn/up2date_client/checklist.py", line 134, in _toggle_row
    self.toggled_func(val, row_data)
  File "/usr/share/rhn/up2date_client/gui.py", line 281, in updateSelectedSize
    self.__updateSelectedSizeLabel(sizeLabel, state, rowData)
  File "/usr/share/rhn/up2date_client/gui.py", line 275, in
__updateSelectedSizeLabel
    self.pkgsSelected = self.pkgsSelected + 1
TypeError: unsupported operand type(s) for +: 'instance' and 'int'

Version-Release number of selected component (if applicable):
up2date-4.4.9-1

How reproducible:
100%
Comment 1 Martin Savitt 2005-03-12 11:38:26 EST
Yes I see the same thing. Seems like a bad pygtk2-2.5.3-3.i386 file.
Comment 2 Clyde E. Kunkel 2005-03-12 16:36:36 EST
Same gui problem, but command line worked fine:

up2date -u --nosig
Comment 3 Clyde E. Kunkel 2005-04-26 10:14:17 EDT
up2date-4.4.15-4 still has this problem.  Is there a workaround to make the gui
package selection work? 
Comment 4 Martin Savitt 2005-05-25 12:02:01 EDT
(In reply to comment #1)
> Yes I see the same thing. Seems like a bad pygtk2-2.5.3-3.i386 file.
After todays (05/25/2005) update, alls well.
Comment 5 Scott Talbot 2005-05-25 13:47:23 EDT
I still see 1 minor problem with the gui.  If you select all packages, the
forward button is enabled, however if I deselect a package, the forward button
is disabled.  Otherwise, it is nice to have this capability back!
Comment 6 Martin Savitt 2005-05-26 11:56:05 EDT
(In reply to comment #5)
> I still see 1 minor problem with the gui.  If you select all packages, the
> forward button is enabled, however if I deselect a package, the forward button
> is disabled.  Otherwise, it is nice to have this capability back!
Yes, I have the same problem, but at least it's working by checking each item
separately.
Comment 7 John Thacker 2006-10-29 15:19:06 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note You need to log in before you can comment on or make changes to this bug.